<script>
  import RoomSelector from './pages/RoomSelector.svelte';
  import { Router, Route } from 'svelte-routing';
  import TodoList from './pages/TodoList.svelte';
  export let url = '';
</script>

<svelte:head>
  <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet" />
</svelte:head>

<Router {url}>
  <Route path="">
    <RoomSelector />
  </Route>
  <Route path="/todos/:roomId" let:params>
    <TodoList roomId={params.roomId} />
  </Route>
</Router>
